org.apache.sysds.api

## Interface ConfigurableAPI

All Known Implementing Classes:
  MLContext, PreparedScript

    public interface ConfigurableAPI

This interface defines the programmatic access to dml configuration properties (as defined in SystemDS-config.xml) to ensure API consistency across all APIs.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `resetConfig()` Reset configuration settings to default settings.
`void` `setConfigProperty(String propertyName, String propertyValue)` Set configuration property, such as `setConfigProperty("sysds.localtmpdir", "/tmp/systemds")`.

### Method Detail

#### resetConfig

    void resetConfig()

Reset configuration settings to default settings.

#### setConfigProperty

    void setConfigProperty(String propertyName,
                           String propertyValue)

Set configuration property, such as `setConfigProperty("sysds.localtmpdir", "/tmp/systemds")`.

Parameters:
  `propertyName` - property name
  `propertyValue` - property value